* [gentoo-commits] repo/gentoo:master commit in: sci-chemistry/gperiodic/files/, sci-chemistry/gperiodic/
@ 2015-12-20 16:35 Justin Lecher
0 siblings, 0 replies; 2+ messages in thread
From: Justin Lecher @ 2015-12-20 16:35 UTC (permalink / raw
To: gentoo-commits
commit: df75c93f4d60c14e92c658f2ac50b7204cf859d9
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 20 16:35:31 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Dec 20 16:35:42 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=df75c93f
sci-chemistry/gperiodic: Version Bump and handle LINGUAS
Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=568852
Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=403649
Package-Manager: portage-2.2.26
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
sci-chemistry/gperiodic/Manifest | 1 +
.../gperiodic/files/gperiodic-3.0.1-makefile.patch | 66 ++++++++++++++++++++++
.../gperiodic/files/gperiodic-3.0.1-nls.patch | 20 +++++++
sci-chemistry/gperiodic/gperiodic-3.0.1.ebuild | 55 ++++++++++++++++++
4 files changed, 142 insertions(+)
diff --git a/sci-chemistry/gperiodic/Manifest b/sci-chemistry/gperiodic/Manifest
index 659d4e2..8da8b7b 100644
--- a/sci-chemistry/gperiodic/Manifest
+++ b/sci-chemistry/gperiodic/Manifest
@@ -1 +1,2 @@
DIST gperiodic-2.0.10.tar.gz 131213 SHA256 78d72870c51c39e4a35c804c05b8ef5e39f88d42eced52b2934e21d74fb8d096 SHA512 23d0074ad5b0f9e25e8eee63f8c375e2448b1ee7c00f89e965b7dd8ce3f60f20251d7699a2f7a767228316144b946a5ac204a3e478c395767133f7fc801b51ba WHIRLPOOL b758b622bfb980aad45b0bb6e2850579408959c3bf700f4dbb21d4bc64168d2a589a9ed5974f75b5eaf7f6c9d593c69dbc9b470957b01457caa30eb356850f14
+DIST gperiodic-3.0.1.tar.gz 375347 SHA256 d023e6f3b8aef773331c5f87d1de17f5fa120e67f7b6da1439ca7861a2df0905 SHA512 3bf47359dda1a029f3528ea04d28cd75909bceb535f6e1dc6c90f5a17b668e0dd98900ddd83633649383ff4e2fc588265275e0e4a27897ecc4ac6db4e93befc1 WHIRLPOOL 8700f0ad254d7ece507b4c01d54ce510121b266d3b533d6035d17ef236d6310008ba2bd80900e92697bbc42c985632421c2be87a2f4bea43903c0207df231198
diff --git a/sci-chemistry/gperiodic/files/gperiodic-3.0.1-makefile.patch b/sci-chemistry/gperiodic/files/gperiodic-3.0.1-makefile.patch
new file mode 100644
index 0000000..a7a402a
--- /dev/null
+++ b/sci-chemistry/gperiodic/files/gperiodic-3.0.1-makefile.patch
@@ -0,0 +1,66 @@
+ Makefile | 36 ++++++++++++++----------------------
+ 1 file changed, 14 insertions(+), 22 deletions(-)
+
+diff --git a/Makefile b/Makefile
+index 7e86dc4..9bd4fe8 100644
+--- a/Makefile
++++ b/Makefile
+@@ -14,8 +14,8 @@ enable_nls ?= 1
+ $(CC) -c $(CFLAGS) $(CPPFLAGS) $<
+
+ all:
+- make gperiodic
+- make -C po/ all enable_nls=$(enable_nls)
++ $(MAKE) gperiodic
++ $(MAKE) -C po/ all enable_nls=$(enable_nls)
+ intltool-merge -d po gperiodic.desktop.in gperiodic.desktop
+
+ gperiodic: gperiodic.o
+@@ -29,24 +29,16 @@ gpdata.o: gpdata.c gperiodic.h
+ gperiodic.o: gperiodic.c gperiodic.h table_data.h
+
+ install:
+- mkdir -p $(DESTDIR)$(bindir)
+- install -m 755 gperiodic $(DESTDIR)$(bindir)
+- mkdir -p $(DESTDIR)$(datadir)/applications
+- install -m 644 gperiodic.desktop $(DESTDIR)$(datadir)/applications
+- mkdir -p $(DESTDIR)$(datadir)/pixmaps
+- install -m 644 icons/gperiodic.png $(DESTDIR)$(datadir)/pixmaps
+- install -m 644 icons/gperiodic.xpm $(DESTDIR)$(datadir)/pixmaps
+- mkdir -p $(DESTDIR)$(mandir)
+- install -m 644 gperiodic.1 $(DESTDIR)$(mandir)
+- mkdir -p $(DESTDIR)$(iconsdir)/hicolor/16x16/apps
+- mkdir -p $(DESTDIR)$(iconsdir)/hicolor/32x32/apps
+- mkdir -p $(DESTDIR)$(iconsdir)/hicolor/48x48/apps
+- mkdir -p $(DESTDIR)$(iconsdir)/hicolor/64x64/apps
+- install -m 644 icons/hicolor/16x16/apps/gperiodic.png $(DESTDIR)$(iconsdir)/hicolor/16x16/apps
+- install -m 644 icons/hicolor/32x32/apps/gperiodic.png $(DESTDIR)$(iconsdir)/hicolor/32x32/apps
+- install -m 644 icons/hicolor/48x48/apps/gperiodic.png $(DESTDIR)$(iconsdir)/hicolor/48x48/apps
+- install -m 644 icons/hicolor/64x64/apps/gperiodic.png $(DESTDIR)$(iconsdir)/hicolor/64x64/apps
+- make -C po/ install enable_nls=$(enable_nls) datadir=$(datadir) DESTDIR=$(DESTDIR)
++ install -D -m 755 gperiodic $(DESTDIR)$(bindir)/gperiodic
++ install -D -m 644 gperiodic.desktop $(DESTDIR)$(datadir)/applications/gperiodic.desktop
++ install -D -m 644 icons/gperiodic.png $(DESTDIR)$(datadir)/pixmaps/gperiodic.png
++ install -D -m 644 icons/gperiodic.xpm $(DESTDIR)$(datadir)/pixmaps/gperiodic.xpm
++ install -D -m 644 gperiodic.1 $(DESTDIR)$(mandir)/gperiodic.1
++ install -D -m 644 icons/hicolor/16x16/apps/gperiodic.png $(DESTDIR)$(iconsdir)/hicolor/16x16/apps/gperiodic.png
++ install -D -m 644 icons/hicolor/32x32/apps/gperiodic.png $(DESTDIR)$(iconsdir)/hicolor/32x32/apps/gperiodic.png
++ install -D -m 644 icons/hicolor/48x48/apps/gperiodic.png $(DESTDIR)$(iconsdir)/hicolor/48x48/apps/gperiodic.png
++ install -D -m 644 icons/hicolor/64x64/apps/gperiodic.png $(DESTDIR)$(iconsdir)/hicolor/64x64/apps/gperiodic.png
++ $(MAKE) -C po/ install enable_nls=$(enable_nls) datadir=$(datadir) DESTDIR=$(DESTDIR)
+
+ uninstall:
+ rm -f $(bindir)/gperiodic \
+@@ -58,10 +50,10 @@ uninstall:
+ $(iconsdir)/hicolor/32x32/apps/gperiodic.png \
+ $(iconsdir)/hicolor/48x48/apps/gperiodic.png \
+ $(iconsdir)/hicolor/64x64/apps/gperiodic.png
+- make -C po/ uninstall enable_nls=$(enable_nls) datadir=$(datadir) DESTDIR=$(DESTDIR)
++ $(MAKE) -C po/ uninstall enable_nls=$(enable_nls) datadir=$(datadir) DESTDIR=$(DESTDIR)
+
+ clean:
+ rm -f *.o gperiodic gperiodic.desktop
+- make -C po/ clean
++ $(MAKE) -C po/ clean
+
+ .PHONY: install uninstall clean
diff --git a/sci-chemistry/gperiodic/files/gperiodic-3.0.1-nls.patch b/sci-chemistry/gperiodic/files/gperiodic-3.0.1-nls.patch
new file mode 100644
index 0000000..4420ca6
--- /dev/null
+++ b/sci-chemistry/gperiodic/files/gperiodic-3.0.1-nls.patch
@@ -0,0 +1,20 @@
+ po/Makefile | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/po/Makefile b/po/Makefile
+index d7d7d78..c596e5b 100644
+--- a/po/Makefile
++++ b/po/Makefile
+@@ -26,10 +26,12 @@ endif
+
+ install:
+ $(MAKE) all
++ifeq ($(enable_nls),1)
+ for f in $(FILES_MO) ; do \
+ mkdir -p $(DESTDIR)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES ; \
+ install -m 644 $$f $(DESTDIR)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES/$(PACKAGE).mo ; \
+ done
++endif
+
+ uninstall:
+ for f in $(FILES_MO) ; do \
diff --git a/sci-chemistry/gperiodic/gperiodic-3.0.1.ebuild b/sci-chemistry/gperiodic/gperiodic-3.0.1.ebuild
new file mode 100644
index 0000000..5793ece
--- /dev/null
+++ b/sci-chemistry/gperiodic/gperiodic-3.0.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Periodic table application for Linux"
+HOMEPAGE="http://www.frantz.fi/software/gperiodic.php"
+SRC_URI="http://downloads.sourceforge.net/project/${PN}/${P}.tar.gz"
+
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+LICENSE="GPL-2"
+IUSE="nls"
+MY_AVAILABLE_LINGUAS=" be bg cs da de es fi fr gl id is it lt ms nl pl pt_BR pt ru sv tr uk"
+IUSE="${IUSE} ${MY_AVAILABLE_LINGUAS// / linguas_}"
+
+RDEPEND="
+ sys-libs/ncurses:0
+ x11-libs/gtk+:2
+ x11-libs/cairo[X]
+ nls? ( sys-devel/gettext )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ epatch \
+ "${FILESDIR}"/${P}-makefile.patch \
+ "${FILESDIR}"/${P}-nls.patch
+ for lang in ${MY_AVAILABLE_LINGUAS}; do
+ if ! use linguas_${lang}; then
+ einfo "Cleaning translation for ${lang}"
+ rm po/${lang}.po || die
+ fi
+ done
+}
+
+src_compile() {
+ local myopts
+ use nls && myopts="enable_nls=1" || myopts="enable_nls=0"
+ emake \
+ CFLAGS="${CFLAGS}" \
+ LDFLAGS="${LDFLAGS}" \
+ CC=$(tc-getCC) ${myopts}
+}
+
+src_install() {
+ local myopts
+ use nls && myopts="enable_nls=1" || myopts="enable_nls=0"
+ emake DESTDIR="${D}" ${myopts} install
+ dodoc AUTHORS ChangeLog README
+ newdoc po/README README.translation
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-chemistry/gperiodic/files/, sci-chemistry/gperiodic/
@ 2025-02-10 9:27 Sam James
0 siblings, 0 replies; 2+ messages in thread
From: Sam James @ 2025-02-10 9:27 UTC (permalink / raw
To: gentoo-commits
commit: 2f719e9dda10dc281459a3ae8a1898a5a92c630c
Author: NHOrus <jy6x2b32pie9 <AT> yahoo <DOT> com>
AuthorDate: Wed Jan 15 17:44:19 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Feb 10 09:26:45 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2f719e9d
sci-chemistry/gperiodic: update EAPI 7 -> 8, incompatible pointer types
Fix compilation problem with GCC-15
Bug: https://bugs.gentoo.org/919213
Signed-off-by: NHOrus <jy6x2b32pie9 <AT> yahoo.com>
Closes: https://github.com/gentoo/gentoo/pull/40148
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../gperiodic-3.0.3-incompatible-pointers.patch | 13 ++++++
sci-chemistry/gperiodic/gperiodic-3.0.3-r1.ebuild | 47 ++++++++++++++++++++++
2 files changed, 60 insertions(+)
diff --git a/sci-chemistry/gperiodic/files/gperiodic-3.0.3-incompatible-pointers.patch b/sci-chemistry/gperiodic/files/gperiodic-3.0.3-incompatible-pointers.patch
new file mode 100644
index 000000000000..b156532e9b54
--- /dev/null
+++ b/sci-chemistry/gperiodic/files/gperiodic-3.0.3-incompatible-pointers.patch
@@ -0,0 +1,13 @@
+https://bugs.gentoo.org/919213
+Cast pointer as it is cast everywhere around it
+--- a/gperiodic.c
++++ b/gperiodic.c
+@@ -137,7 +137,7 @@
+ if (col == 0) gtk_label_set_markup (GTK_LABEL (label), _(header.info[row]));
+ else {
+ gtk_label_set_markup (GTK_LABEL (label), _(entry->info[row]));
+- gtk_label_set_selectable (label, TRUE);
++ gtk_label_set_selectable (GTK_LABEL (label), TRUE);
+ }
+
+ gtk_misc_set_alignment(GTK_MISC(label), 0, 0);
diff --git a/sci-chemistry/gperiodic/gperiodic-3.0.3-r1.ebuild b/sci-chemistry/gperiodic/gperiodic-3.0.3-r1.ebuild
new file mode 100644
index 000000000000..6856fce733d8
--- /dev/null
+++ b/sci-chemistry/gperiodic/gperiodic-3.0.3-r1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs xdg-utils
+
+DESCRIPTION="Periodic table application for Linux"
+HOMEPAGE="https://sourceforge.net/projects/gperiodic/"
+SRC_URI="https://downloads.sourceforge.net/project/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="nls"
+
+BDEPEND="
+ virtual/pkgconfig
+ nls? ( sys-devel/gettext )"
+RDEPEND="
+ sys-libs/ncurses:0
+ x11-libs/gtk+:2
+ x11-libs/cairo[X]"
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${FILESDIR}/${P}-incompatible-pointers.patch" )
+
+src_compile() {
+ emake \
+ CFLAGS="${CFLAGS}" \
+ LDFLAGS="${LDFLAGS}" \
+ CC="$(tc-getCC)" "enable_nls=$(usex nls 1 0)"
+}
+
+src_install() {
+ emake DESTDIR="${D}" "enable_nls=$(usex nls 1 0)" install
+ dodoc AUTHORS ChangeLog README
+ newdoc po/README README.translation
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2025-02-10 9:27 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2015-12-20 16:35 [gentoo-commits] repo/gentoo:master commit in: sci-chemistry/gperiodic/files/, sci-chemistry/gperiodic/ Justin Lecher
-- strict thread matches above, loose matches on Subject: below --
2025-02-10 9:27 Sam James
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox